| Home | Libraries | People | FAQ | More

##### covers(Geometry const &)

Generate `covers()` predicate.

###### Description

Generate a predicate defining Value and Geometry relationship. With this predicate query returns indexed Values that cover passed Geometry. Value is returned by the query if ``bg::covered_by(Geometry, Indexable)`` returns ``true``.

###### Synopsis

    template<typename Geometry>
    unspecified covers(Geometry const & g)

###### Template parameter(s)

Parameter | Description
--- | ---
`Geometry` | The Geometry type.

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Geometry const &` | `g` | The Geometry object.

###### Example

    bgi::query(spatial_index, bgi::covers(box), std::back_inserter(result));